# CommonProtos.HTTPExtension.Builder (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.v1, class: CommonProtos, class: HTTPExtension, class: Builder

Package io.dapr.v1

# Class CommonProtos.HTTPExtension.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>
io.dapr.v1.CommonProtos.HTTPExtension.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.HTTPExtensionOrBuilder`, `Cloneable`

Enclosing class:
  CommonProtos.HTTPExtension

public static final class CommonProtos.HTTPExtension.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder> implements CommonProtos.HTTPExtensionOrBuilder

     HTTPExtension includes HTTP verb and querystring
     when Dapr runtime delivers HTTP content.

     For example, when callers calls http invoke api
     POST http://localhost:3500/v1.0/invoke/<app_id>/method/<method>?query1=value1&query2=value2

     Dapr runtime will parse POST as a verb and extract querystring to quersytring map.

Protobuf type `dapr.proto.common.v1.HTTPExtension`

## Method Summary

Modifier and Type
Method
Description
`CommonProtos.HTTPExtension.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.HTTPExtension`
`build()`
`CommonProtos.HTTPExtension`
`buildPartial()`
`CommonProtos.HTTPExtension.Builder`
`clear()`
`CommonProtos.HTTPExtension.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`CommonProtos.HTTPExtension.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`CommonProtos.HTTPExtension.Builder`
`clearQuerystring()`
Optional.
`CommonProtos.HTTPExtension.Builder`
`clearVerb()`
Required.
`CommonProtos.HTTPExtension.Builder`
`clone()`
`CommonProtos.HTTPExtension`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getQuerystring()`
Optional.
`com.google.protobuf.ByteString`
`getQuerystringBytes()`
Optional.
`CommonProtos.HTTPExtension.Verb`
`getVerb()`
Required.
`int`
`getVerbValue()`
Required.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`CommonProtos.HTTPExtension.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`CommonProtos.HTTPExtension.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`CommonProtos.HTTPExtension.Builder`
`mergeFrom(CommonProtos.HTTPExtension other)`
`final CommonProtos.HTTPExtension.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.HTTPExtension.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.HTTPExtension.Builder`
`setQuerystring(String value)`
Optional.
`CommonProtos.HTTPExtension.Builder`
`setQuerystringBytes(com.google.protobuf.ByteString value)`
Optional.
`CommonProtos.HTTPExtension.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final CommonProtos.HTTPExtension.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.HTTPExtension.Builder`
`setVerb(CommonProtos.HTTPExtension.Verb value)`
Required.
`CommonProtos.HTTPExtension.Builder`
`setVerbValue(int value)`
Required.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### clear

public CommonProtos.HTTPExtension.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### getDefaultInstanceForType

public CommonProtos.HTTPExtension getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public CommonProtos.HTTPExtension build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public CommonProtos.HTTPExtension buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public CommonProtos.HTTPExtension.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### setField

public CommonProtos.HTTPExtension.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### clearField

public CommonProtos.HTTPExtension.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### clearOneof

public CommonProtos.HTTPExtension.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### setRepeatedField

public CommonProtos.HTTPExtension.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### addRepeatedField

public CommonProtos.HTTPExtension.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### mergeFrom

public CommonProtos.HTTPExtension.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.HTTPExtension.Builder>`

### mergeFrom

public CommonProtos.HTTPExtension.Builder mergeFrom(CommonProtos.HTTPExtension other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### mergeFrom

public CommonProtos.HTTPExtension.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.HTTPExtension.Builder>`
Throws:
  `IOException`

### getVerbValue

public int getVerbValue()

     Required. HTTP verb.

`.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`

Specified by:
  `getVerbValue` in interface `CommonProtos.HTTPExtensionOrBuilder`
Returns:
  The enum numeric value on the wire for verb.

### setVerbValue

public CommonProtos.HTTPExtension.Builder setVerbValue(int value)

     Required. HTTP verb.

`.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`

Parameters:
  `value` - The enum numeric value on the wire for verb to set.
Returns:
  This builder for chaining.

### getVerb

public CommonProtos.HTTPExtension.Verb getVerb()

     Required. HTTP verb.

`.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`

Specified by:
  `getVerb` in interface `CommonProtos.HTTPExtensionOrBuilder`
Returns:
  The verb.

### setVerb

public CommonProtos.HTTPExtension.Builder setVerb(CommonProtos.HTTPExtension.Verb value)

     Required. HTTP verb.

`.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`

Parameters:
  `value` - The verb to set.
Returns:
  This builder for chaining.

### clearVerb

public CommonProtos.HTTPExtension.Builder clearVerb()

     Required. HTTP verb.

`.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`

Returns:
  This builder for chaining.

### getQuerystring

public String getQuerystring()

     Optional. querystring represents an encoded HTTP url query string in the following format: name=value&name2=value2

`string querystring = 2;`

Specified by:
  `getQuerystring` in interface `CommonProtos.HTTPExtensionOrBuilder`
Returns:
  The querystring.

### getQuerystringBytes

public com.google.protobuf.ByteString getQuerystringBytes()

     Optional. querystring represents an encoded HTTP url query string in the following format: name=value&name2=value2

`string querystring = 2;`

Specified by:
  `getQuerystringBytes` in interface `CommonProtos.HTTPExtensionOrBuilder`
Returns:
  The bytes for querystring.

### setQuerystring

public CommonProtos.HTTPExtension.Builder setQuerystring(String value)

     Optional. querystring represents an encoded HTTP url query string in the following format: name=value&name2=value2

`string querystring = 2;`

Parameters:
  `value` - The querystring to set.
Returns:
  This builder for chaining.

### clearQuerystring

public CommonProtos.HTTPExtension.Builder clearQuerystring()

     Optional. querystring represents an encoded HTTP url query string in the following format: name=value&name2=value2

`string querystring = 2;`

Returns:
  This builder for chaining.

### setQuerystringBytes

public CommonProtos.HTTPExtension.Builder setQuerystringBytes(com.google.protobuf.ByteString value)

     Optional. querystring represents an encoded HTTP url query string in the following format: name=value&name2=value2

`string querystring = 2;`

Parameters:
  `value` - The bytes for querystring to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final CommonProtos.HTTPExtension.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`

### mergeUnknownFields

public final CommonProtos.HTTPExtension.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.HTTPExtension.Builder>`